Page MenuHomePhabricator

templatekw: make {successorssets} always return a list (issue6342)
ClosedPublic

Authored by aayjaychan on Oct 6 2020, 1:48 PM.

Details

Summary

Previously, {successorssets} returns an empty string instead of an empty list
for a non-obsolete changeset. The changing type of the JSON output makes it
hard to consume from statically-typed languages.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

aayjaychan created this revision.Oct 6 2020, 1:48 PM
pulkit accepted this revision.Oct 7 2020, 7:58 AM
This revision is now accepted and ready to land.Oct 7 2020, 7:58 AM
aayjaychan updated this revision to Diff 23077.Oct 7 2020, 8:05 AM
pulkit accepted this revision.Oct 9 2020, 5:04 AM